!function($)
{
    function search_bar() {
        $('.p-discovery').ready(function () {

            $('.control-search').click(function (e) {
                if($(this).parent().children('.search-area').hasClass('show')){
                    $(this).parent().children('.search-area').removeClass('show');
                }else {
                    $(this).parent().children('.search-area').addClass('show');
                }

                if($(this).parents('.p-pageWrapper').hasClass('active')){
                    $(this).parents('.p-pageWrapper').removeClass('active');
                }else {
                    $(this).parents('.p-pageWrapper').addClass('active');
                }
                e.stopPropagation();
            });
            $('.search-input').click(function (e) {
                $(this).parent().children('.search-option').addClass('active');
                e.stopPropagation();
            });
            $('.search-option').click(function (e) {
                e.stopPropagation();
            })
        });
        $('body, html').click(function () {
            $('.search-option').removeClass('active');
            $('.search-area').removeClass('show');
            $('.p-pageWrapper').removeClass('active');
        });
    }

    function control_block_header() {
        var html = '<span class="block-control fa fa-angle-up"></span>';
        var html1 = '<span class="block-control fa fa-angle-up"></span>';

        $('.block--category .block-header').append(html);
        $('.p-body-sidebar .block-container .block-minorHeader').append(html1);


        $('.block-control').click(function () {
            if ($(this).parents('.block-container').children('.block-body').hasClass('active')){
                $(this).parents('.block-container').children('.block-body').removeClass('active').slideDown('400');
                $(this).removeClass('fa-angle-down').addClass('fa-angle-up');
            }else {
                $(this).parents('.block-container').children('.block-body').addClass('active').slideUp('400');
                $(this).addClass('fa-angle-down').removeClass('fa-angle-up');
            }
        });
    }

    function control_sidebar() {
        var sidebar = '<span class="control-sidebar fa fa-align-center"></span>',
            w_content =  $('.p-body-inner .p-body-content').width(),
            w_sidebar =  $('.p-body-inner .p-body-sidebar').width();


        var ctrsidebar = function () {
            if ($(window).width() > 768){
                $('.p-body-main--withSidebar').parents('.p-pageWrapper').find('.brv-breadcrumbs .brv-breadcrumbs-inner .p-breadcrumbs ').append(sidebar);
            }
        };

        ctrsidebar();

        $('.control-sidebar').click(function () {
            if ($(this).parents('.p-pageWrapper').find('.p-body-sidebar').hasClass('hide')){
                $(this).parents('.p-pageWrapper').find('.p-body-sidebar').removeClass('hide').slideDown();
                $(this).parents('.p-pageWrapper').find('.p-body-content').removeClass('edit-padd').removeAttr('style');
            }else {
                $(this).parents('.p-pageWrapper').find('.p-body-sidebar').addClass('hide').slideUp();
                $(this).parents('.p-pageWrapper').find('.p-body-content').addClass('edit-padd').width(w_content + w_sidebar);
            }
        });


    }

    function tooltip_categories() {
        $('.block--category').ready(function () {
            var w1 = $('.block-header >a').width() + 40,
                dir = $('html').attr('dir');
            if ( dir == 'RTL'){
                $('.show-tooltip').css('right', w1);
            } else {
                $('.show-tooltip').css('left', w1);
            }
        });
    }

    function new_tags() {
        var contenttag = $('body[data-template="thread_view"] .p-body .p-body-inner .p-body-header .p-description ul li+li+li').html();
        $('body[data-template="thread_view"] .new_tags_brv').append(contenttag);
    }

    


    $(document).ready(function () {
        search_bar();
        control_block_header();
        control_sidebar();
        tooltip_categories();
        new_tags();

    });

}(jQuery);

